# PetscExceptionPush

Adds the exception as one to be caught and passed up. If passed up can be checked with PetscExceptionCaught() or PetscExceptionValue()

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscExceptionPush(PetscErrorCode err)

### Input Parameters

err -the exception to catch

### Notes

PETSc must not be configured using the option --with-errorchecking=0 for this to work

Use PetscExceptionPop() to remove this as a value to be caught

This is not usually needed in C/C++ rather use PetscExceptionTry1()

### See Also

PetscExceptionTry1(), PetscExceptionCaught(), PetscExceptionPush(), PetscExceptionPop()

Level:advanced
Location: src/sys/error/err.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages